Subject: Re: FVWM: ReadDecorFace error ??

From: Dan Espen <[email-masked]>
Date: Sat, 18 Dec 2004 11:33:32 -0500

Soumen <[email-masked]> writes:
> On Sat, 18 Dec 2004 09:24:05 -0500
> Dan Espen <[email-masked]> wrote:
> 
> > Without seeing where you really are using those fonts, it's hard to
> > tell.  One way I was able to generate that message is by doing this:
> > 
> > AddToDecor DecorBase AddButtonStyle 2 Font \
> >  "xft:Verdana:bold:antialias=True:pixelsize=14"
> > 
> > The error indicates that the word "Font" is invalid in a
> > AddButtonStyle command.
> > 

Please respond to the list.

> Below given is the grep of "font" from my fvwmrc:
> 
> <start>
>  SetEnv  ALxftFont1 "xft:Verdana:antialias=True:pixelsize=10"
>  SetEnv  ALxftFont2 "xft:Tahoma:antialias=True:pixelsize=12"
>  SetEnv  closeFont "*-smoothansi-*-*-*-*-*-*-*-*-*-*-*-*"
>  SetEnv  normFont "-*-lucidatypewriter-medium-r-*-*-12-*-*-*-*-*-*-*"
>  SetEnv  fixedFont
> "-*-fixed-medium-r-normal-*-*-120-75-75-*-*-iso8859-15" 
>  SetEnv  logFont "*-smoothansi-*-*-*-*-*-*-*-*-*-*-*-*" 
>  SetEnv  TitleFont "$[ALxftFont1]"
>  SetEnv  MenuFont "$[ALxftFont2]"
>  SetEnv  DefaultFont "$[ALxftFont1]"
>  
>  DefaultFont $[DefaultFont]
>  Style  * Font   $[TitleFont]
>   TitleStyle Font     $[TitleFont]
>  *FvwmTaskBar: Font $[ALxftFont2]
>  *FvwmTaskBar: SelFont $[ALxftFont2]
>  *FvwmTaskBar: StatusFont $[ALxftFont2]
>  MenuStyle * Font $[MenuFont]
>  
> <end>
> 
> Sorry that some of the lines are wrapped (this is a straight cut &
> paste). This might provide you some idea where I'm issuing an invalid
> command.
> 
> If any further info is needed, I'll be glad to post.

You can paste each of these into FvwmConsole,
any errors will display in the console.

TitleStyle Font xxx will cause the message.

-- 
Dan Espen                           E-mail: [email-masked]
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].